print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricekebab = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local kebabHudFile = "Paletten/hud_fill_kebab.dds"
	local kebabHudFileSmall = "Paletten/hud_fill_kebab_smal.dds"
	
    local kebabFilType = g_fillTypeManager:addFillType("KEBAB", g_i18n:getText("kebab"), true, pricekebab * 2.7, 0.00045, math.rad(10), kebabHudFile, kebabHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haskebab=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haskebab=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "KEBAB" then
		haskebab=true
	end;
		
end;

		if hasmaize and not haskebab then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("KEBAB")
		local price = g_fillTypeManager:getFillTypeByName("KEBAB").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("KEBAB")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)